Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class PBES2Algorithms

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.AlgorithmIdentifier
                  |
                  +--org.bouncycastle.asn1.pkcs.PBES2Algorithms

All Implemented Interfaces:
  DEREncodable, PKCSObjectIdentifiers

Deprecated. - use AlgorithmIdentifier and PBES2Params

public class PBES2Algorithms
extends AlgorithmIdentifier
implements PKCSObjectIdentifiers

Fields inherited from interface org.bouncycastle.asn1.pkcs.PKCSObjectIdentifiers
`bagtypes, canNotDecryptAny, certBag, crlBag, data, des_EDE3_CBC, dhKeyAgreement, digestedData, encryptedData, encryptionAlgorithm, envelopedData, id_aa, id_aa_encrypKeyPref, id_ct_compressedData, id_PBES2, id_PBKDF2, keyBag, md2, md2WithRSAEncryption, md4WithRSAEncryption, md5, md5WithRSAEncryption, pkcs_1, pkcs_12, pkcs_3, pkcs_5, pkcs_7, pkcs_9, pkcs_9_at_challengePassword, pkcs_9_at_contentType, pkcs_9_at_counterSignature, pkcs_9_at_emailAddress, pkcs_9_at_extendedCertificateAttributes, pkcs_9_at_extensionRequest, pkcs_9_at_friendlyName, pkcs_9_at_localKeyId, pkcs_9_at_messageDigest, pkcs_9_at_signingDescription, pkcs_9_at_signingTime, pkcs_9_at_smimeCapabilities, pkcs_9_at_unstructuredAddress, pkcs_9_at_unstructuredName, pkcs8ShroudedKeyBag, preferSignedData, RC2_CBC, rsaEncryption, safeContentsBag, secretBag, sha1WithRSAEncryption, sha256WithRSAEncryption, sha384WithRSAEncryption, sha512WithRSAEncryption, signedAndEnvelopedData, signedData, sMIMECapabilitiesVersions, srsaOAEPEncryptionSET, x509certType`

Constructor Summary
`PBES2Algorithms(ASN1Sequence obj)` Deprecated.

Method Summary
`DERObject` | `getDERObject()` Deprecated.
`EncryptionScheme` | `getEncryptionScheme()` Deprecated.
`KeyDerivationFunc` | `getKeyDerivationFunc()` Deprecated.
`DERObjectIdentifier` | `getObjectId()` Deprecated.

Methods inherited from class org.bouncycastle.asn1.x509.AlgorithmIdentifier
`getInstance, getInstance, getParameters, toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PBES2Algorithms

    public PBES2Algorithms(ASN1Sequence obj)

  Deprecated.

Method Detail

### getObjectId

    public DERObjectIdentifier getObjectId()

  Deprecated.
  Overrides:
    `getObjectId` in class `AlgorithmIdentifier`

### getKeyDerivationFunc

    public KeyDerivationFunc getKeyDerivationFunc()

  Deprecated.

### getEncryptionScheme

    public EncryptionScheme getEncryptionScheme()

  Deprecated.

### getDERObject

    public DERObject getDERObject()

  Deprecated.
  Overrides:
    `getDERObject` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD